/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-04-03
 * 描述            ：质量设计-试样信息主表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.slmord.vo;
import java.io.Serializable;

import market.Qms.slmord.mapper.SlmOrdDesignSampleMMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_ORD_DESIGN_SAMPLE_M", namespace=SlmOrdDesignSampleMMapper.class)
public class SlmOrdDesignSampleM extends BaseVO implements Serializable {
	/** 
	 * DESIGN_KEY
	 */ 
	@Id
	private String design_key;
	public String getDesign_key() {
		return this.design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}

	/** 
	 * 序号
	 */ 
	@Id
	private Integer index_seq;
	public Integer getIndex_seq() {
		return this.index_seq;
	}
	public void setIndex_seq(Integer index_seq) {
		this.index_seq = index_seq;
	}

	/** 
	 * 产品规范码
	 */ 
	@Column
	private String psc;
	public String getPsc() {
		return this.psc;
	}
	public void setPsc(String psc) {
		this.psc = psc;
	}

	/** 
	 * 认证机构代码
	 */ 
	@Column
	private String org_code;
	public String getOrg_code() {
		return this.org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	/** 
	 * 认证机构描述
	 */ 
	@Column
	private String org_name;
	public String getOrg_name() {
		return this.org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/** 
	 * 材质检验大项代码
	 */ 
	@Column
	private String phy_code_l;
	public String getPhy_code_l() {
		return this.phy_code_l;
	}
	public void setPhy_code_l(String phy_code_l) {
		this.phy_code_l = phy_code_l;
	}

	/** 
	 * 材质检验大项名称
	 */ 
	@Column
	private String phy_name_l;
	public String getPhy_name_l() {
		return this.phy_name_l;
	}
	public void setPhy_name_l(String phy_name_l) {
		this.phy_name_l = phy_name_l;
	}

	/** 
	 * 试样组代码
	 */ 
	@Column
	private String phy_code_m;
	public String getPhy_code_m() {
		return this.phy_code_m;
	}
	public void setPhy_code_m(String phy_code_m) {
		this.phy_code_m = phy_code_m;
	}

	/** 
	 * 试样组名称
	 */ 
	@Column
	private String phy_name_m;
	public String getPhy_name_m() {
		return this.phy_name_m;
	}
	public void setPhy_name_m(String phy_name_m) {
		this.phy_name_m = phy_name_m;
	}

	/** 
	 * 检验项代码
	 */ 
	@Column
	private String phy_code_s;
	public String getPhy_code_s() {
		return this.phy_code_s;
	}
	public void setPhy_code_s(String phy_code_s) {
		this.phy_code_s = phy_code_s;
	}

	/** 
	 * 检验项名称
	 */ 
	@Column
	private String phy_name_s;
	public String getPhy_name_s() {
		return this.phy_name_s;
	}
	public void setPhy_name_s(String phy_name_s) {
		this.phy_name_s = phy_name_s;
	}

	/** 
	 * 试验方向代码
	 */ 
	@Column
	private String item_code_d;
	public String getItem_code_d() {
		return this.item_code_d;
	}
	public void setItem_code_d(String item_code_d) {
		this.item_code_d = item_code_d;
	}

	/** 
	 * 试验方向描述
	 */ 
	@Column
	private String item_name_d;
	public String getItem_name_d() {
		return this.item_name_d;
	}
	public void setItem_name_d(String item_name_d) {
		this.item_name_d = item_name_d;
	}

	/** 
	 * 试验温度代码
	 */ 
	@Column
	private String item_code_t;
	public String getItem_code_t() {
		return this.item_code_t;
	}
	public void setItem_code_t(String item_code_t) {
		this.item_code_t = item_code_t;
	}

	/** 
	 * 试验温度描述
	 */ 
	@Column
	private String item_name_t;
	public String getItem_name_t() {
		return this.item_name_t;
	}
	public void setItem_name_t(String item_name_t) {
		this.item_name_t = item_name_t;
	}

	/** 
	 * 试样尺寸代码
	 */ 
	@Column
	private String item_code_s;
	public String getItem_code_s() {
		return this.item_code_s;
	}
	public void setItem_code_s(String item_code_s) {
		this.item_code_s = item_code_s;
	}

	/** 
	 * 试样尺寸描述
	 */ 
	@Column
	private String item_name_s;
	public String getItem_name_s() {
		return this.item_name_s;
	}
	public void setItem_name_s(String item_name_s) {
		this.item_name_s = item_name_s;
	}

	/** 
	 * 试样类型代码
	 */ 
	@Column
	private String sample_style_code;
	public String getSample_style_code() {
		return this.sample_style_code;
	}
	public void setSample_style_code(String sample_style_code) {
		this.sample_style_code = sample_style_code;
	}

	/**
	 * 试样类型描述
	 */
	@Column
	private String sample_style_name;
	public String getSample_style_name() {
		return sample_style_name;
	}
	public void setSample_style_name(String sample_style_name) {
		this.sample_style_name = sample_style_name;
	}

	/** 
	 * 取样频率代码
	 */ 
	@Column
	private String rate_code;
	public String getRate_code() {
		return this.rate_code;
	}
	public void setRate_code(String rate_code) {
		this.rate_code = rate_code;
	}

	/** 
	 * 取样频率描述
	 */ 
	@Column
	private String rate_desc;
	public String getRate_desc() {
		return this.rate_desc;
	}
	public void setRate_desc(String rate_desc) {
		this.rate_desc = rate_desc;
	}
	/** 
	 * 是否判定(1:是，0：否)
	 */ 
	@Column
	private String isjudge;
	public String getIsjudge() {
		return this.isjudge;
	}
	public void setIsjudge(String isjudge) {
		this.isjudge = isjudge;
	}
	
	
	/**
	 * 全程工序顺序号
	 */
	@Column
	private int backlog_seq;
	public int getBacklog_seq() {
		return backlog_seq;
	}
	public void setBacklog_seq(int backlog_seq) {
		this.backlog_seq = backlog_seq;
	}
	
	/**
	 * 工序代码
	 */
	@Column
	private String process_code;
	public String getProcess_code() {
		return process_code;
	}
	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}
	
	
	/**
	 * 全程产线号
	 */
	@Column
	private String msc_pline;
	public String getMsc_pline() {
		return msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}
	
	@Column
	private String ischeck;
	@Column
	private String isquote;
	public String getIscheck() {
		return ischeck;
	}
	public void setIscheck(String ischeck) {
		this.ischeck = ischeck;
	}
	public String getIsquote() {
		return isquote;
	}
	public void setIsquote(String isquote) {
		this.isquote = isquote;
	}
	
	
	/**
	 * 新增分组字段:分组索引号(同一分组的为多选一项)
	 */
	@Column
	private String group_seq;
	public String getGroup_seq() {
		return group_seq;
	}
	public void setGroup_seq(String group_seq) {
		this.group_seq = group_seq;
	}
}
